function I = trap(func,a,b,n)
% I = trap(func,a,b,n):
%     multiple-application trapezoidal rule.
% input:
%   func = name of function to be integrated
%   a, b = integration limits
%   n = number of segments
% output:
%   I = integral estimate

x = a;
h = (b - a)/n;
s = feval(func,a);
for i = 1 : n-1
  x = x + h;
  s = s + 2*feval(func,x);
end
s = s + feval(func,b);
I = (b - a) * s/(2*n);
